Dynalinks
API keys

List API keys for a project

GET
/api_keys
Manage a project's API keys. Requires a master API key. Experimental: the request and response shapes may still change.

Authorization

headerAuthorization<token>

Format: Authorization: Token {api_key}

Query Parameters

project_id*string

UUID of the project to list API keys for

limit?integer

Number of API keys to return per page

Default20
page?integer

Page number to return

Default1

Response Body

A list of API keys

application/json
  1. response
api_keys?array<>
meta?
Example Request
curl -X GET 'https://dynalinks.app/api/v1/api_keys?project_id=string'
Example Response
{  "api_keys": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "scopes": [        "string"      ],      "token": "string",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "meta": {    "page": 0,    "count": 0,    "limit": 0  }}